Bug 806320 - SELinux is preventing /bin/login from 'read' accesses on the file wrapped-passphrase.
SELinux is preventing /bin/login from 'read' accesses on the file wrapped-pas...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:314a5861f3e8801f291c879ef6e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 08:33 EDT by klement.sekera
Modified: 2013-02-13 13:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:53:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description klement.sekera 2012-03-23 08:33:05 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-4.fc16.x86_64
reason:         SELinux is preventing /bin/login from 'read' accesses on the file wrapped-passphrase.
time:           Fri 23 Mar 2012 01:32:53 PM CET

description:
:SELinux is preventing /bin/login from 'read' accesses on the file wrapped-passphrase.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that login should be allowed read access on the wrapped-passphrase file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep login /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:local_login_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:home_root_t:s0
:Target Objects                wrapped-passphrase [ file ]
:Source                        login
:Source Path                   /bin/login
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           util-linux-2.20.1-2.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-46.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.1.0-7.fc16.x86_64 #1 SMP
:                              Tue Nov 1 21:10:48 UTC 2011 x86_64 x86_64
:Alert Count                   8
:First Seen                    Fri 23 Mar 2012 10:51:42 AM CET
:Last Seen                     Fri 23 Mar 2012 11:18:02 AM CET
:Local ID                      0e04b049-69f0-47ef-898f-ca9008e6889e
:
:Raw Audit Messages
:type=AVC msg=audit(1332497882.443:277): avc:  denied  { read } for  pid=4734 comm="login" name="wrapped-passphrase" dev=sda2 ino=264828 scontext=system_u:system_r:local_login_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1332497882.443:277): arch=x86_64 syscall=open success=no exit=EACCES a0=2454330 a1=0 a2=0 a3=0 items=0 ppid=4728 pid=4734 auid=1000 uid=1000 gid=0 euid=1000 suid=1000 fsuid=1000 egid=0 sgid=0 fsgid=0 tty=tty4 ses=17 comm=login exe=/bin/login subj=system_u:system_r:local_login_t:s0-s0:c0.c1023 key=(null)
:
:Hash: login,local_login_t,home_root_t,file,read
:
:audit2allow
:
:#============= local_login_t ==============
:allow local_login_t home_root_t:file read;
:
:audit2allow -R
:
:#============= local_login_t ==============
:allow local_login_t home_root_t:file read;
:
Comment 1 Miroslav Grepl 2012-03-26 04:49:01 EDT
Are you trying to use ecryptfs?

If yes, I have a local solution for your for testing.
Comment 2 klement.sekera 2012-03-26 04:56:26 EDT
I was trying to completely encrypt my homedir but in the end I end up with manually mounting .Private->Private since I couldn't get it to work ...
Comment 3 Fedora End Of Life 2013-01-16 10:44:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 13:54:01 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.